﻿<script id="discussionBoardListTemplate" type="text/x-jQuery-tmpl">
    {{each list}}
        <ul>
            <li>&nbsp;</li>
            <li>
                <h1><a href="/DiscussionBoard.aspx?boardId=${id}">${name}</a><span class="themeSpan">话题：${numOfDisc}帖/<span class="ColorAacd60">${numOfNew}新</span></span></h1>
            </li>
        </ul>
    {{/each}}
</script>

<script id="discussionListTemplate" type="text/x-jQuery-tmpl">
    <h1>
    ${boardName}
    {{if (typeof boardName == "undefined")}}
        最新发言
    {{/if}}   
    </h1>
    <div class="SpeechTitle">
        <ul>
            <li class="li1">主题</li>
            <li class="li2">作者</li>
            <li class="li3">回复数</li>
            <li class="li4">最新回复</li>
        </ul>
    </div>
    {{each list}}
    <div class="SpeechList">
        <ul class="sul">
            <li class="li1"><a href="/Discussion.aspx?discussionId=${id}">${subject}</a></li>
            <li class="li2">
                <div class="SpeechListAuthor">
                    <ul>
                        <li>
                        {{tmpl({username: username, dd: 30, pd: 30}) '#userProfilePhotoTemplate'}}
                        <li><a href="/user/${username}">${displayName}</a><br /><span class="ColorC1">${time}</span></li>
                    </ul>
                </div>
            </li>
            <li class="li3">${replyList.count}</li>
            <li class="li4">   
                 {{if replyList.count < 1}}
                    暂无回复
                 {{/if}}       
                 {{if replyList.count > 0}}
                    <a href="/user/${replyList.list[0].username}">${replyList.list[0].displayName}</a></br>
                    ${replyList.list[0].timeago}
                {{/if}}
            </li>
        </ul>
    </div>
    {{/each}}
</script>

<script id="discussionTemplate" type="text/x-jQuery-tmpl">
    	<h1>${boardName}</h1>
        <h2>${discussion.subject}</h2> 
        {{if discussion.username == globalLogginUser}} <a href="javascript:void(0)" class="deleteDiscussionBtn ColorC1" data-reply-id="${discussion.id}">[ 删除 ]</a><br />
        {{/if}}
        <div class="proTheme clearfix">
        	<ul>
            	<li class="li1">
                    {{tmpl({username: discussion.username, dd: 50, pd: 50}) '#userProfilePhotoTemplate'}}               
                </li>
                <li class="li2">
                	<a href="/user/${discussion.username}" class="ColorAacd60">${discussion.displayName}</a><br />
                    ${discussion.text}<br />
                    <span class="ColorC1">${discussion.time}</span>
                </li>
            </ul>
            <ul class="float_r">
                <li>

                </li>
            </ul>
        </div>
        <div class="ReplayList clearfix" id="replies">
        	{{tmpl(discussion.replyList.list) "#replyDetailTemplate"}}
        </div>
        <div class="subReplay clearfix">
        	{{tmpl({ username: globalLogginUser, list: discussion.replyList.list, count: discussion.replyList.count}) "#replyDialogTemplate"}}
        </div>
</script>

<script id="newDiscussionTemplate" type="text/x-jQuery-tmpl">
    <form id="newDiscussionForm">
        <table width="615" border="0" cellspacing="5" cellpadding="5">
          <tr>
            <td width="105" align="right" valign="middle" style="font-size:16px; font-family:'微软雅黑'">标题</td>
            <td width="475"><input type="text" id="subject" name="subject" value="" class="required Rounded titleBox" /> </td>
          </tr>
          <tr>
            <td align="right" valign="middle" style="font-size:16px; font-family:'微软雅黑'">话题</td>
            <td>
            <select id="boardList" name="board" class="required Rounded selectBox">
                {{each boardList}}
                    <option value="${id}">${name}</option>
                {{/each}}
             </select> 
            </td>
          </tr>
          <tr>
            <td align="right" valign="middle" style="font-size:16px; font-family:'微软雅黑'">内容</td>
            <td><textarea id="content" name="content" cols="80" rows="6" value="" class="required Rounded texBox firstFont" /></td>
          </tr>
          <tr>
            <td>&nbsp;</td>
            <td><input type="submit" value=" " class="fbBtn"/></td>
          </tr>
        </table>
       
    </form>
</script>

<script id="discussionControlPanelTemplate" type="text/x-jQuery-tmpl">
    	 <div class="fbtn"><a href="/NewDiscussion.aspx">发表话题</a></div>
         <div class="ftopic"><a href="MyDiscussions.aspx?mode=owner">&nbsp;>我发起的话题</a></div>
         <div class="ftopic"><a href="MyDiscussions.aspx?mode=replier">&nbsp;>我回复的话题</a></div>
</script>

